Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 973309 - [abrt] arandr-0.1.7.1-1.fc18: xrandr.py:108:_load_from_commandlineargs:FileLoadError: Not a known mode: None
[abrt] arandr-0.1.7.1-1.fc18: xrandr.py:108:_load_from_commandlineargs:FileLo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: arandr (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Maros Zatko
Fedora Extras Quality Assurance
abrt_hash:5eb4428d2fa34c4b175fdfdfb46...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 12:17 EDT by Zoltan Hoppar
Modified: 2015-06-29 08:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:00:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.83 KB, text/plain)
2013-06-11 12:17 EDT, Zoltan Hoppar
no flags Details
File: core_backtrace (709 bytes, text/plain)
2013-06-11 12:17 EDT, Zoltan Hoppar
no flags Details
File: environ (2.36 KB, text/plain)
2013-06-11 12:17 EDT, Zoltan Hoppar
no flags Details

  None (edit)
Description Zoltan Hoppar 2013-06-11 12:17:18 EDT
Version-Release number of selected component:
arandr-0.1.7.1-1.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/arandr
executable:     /usr/bin/arandr
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
xrandr.py:108:_load_from_commandlineargs:FileLoadError: Not a known mode: None

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/screenlayout/gui.py", line 64, in wrapper
    return function(*args_out)
  File "/usr/lib/python2.7/site-packages/screenlayout/gui.py", line 249, in do_save_as
    self.widget.save_to_file(f, self.filetemplate)
  File "/usr/lib/python2.7/site-packages/screenlayout/widget.py", line 114, in save_to_file
    self.load_from_file(file)
  File "/usr/lib/python2.7/site-packages/screenlayout/widget.py", line 88, in load_from_file
    template = self._xrandr.load_from_string(data)
  File "/usr/lib/python2.7/site-packages/screenlayout/xrandr.py", line 79, in load_from_string
    self._load_from_commandlineargs(lines[xrandrlines[0]].strip())
  File "/usr/lib/python2.7/site-packages/screenlayout/xrandr.py", line 108, in _load_from_commandlineargs
    raise FileLoadError("Not a known mode: %s"%p[1])
FileLoadError: Not a known mode: None

Local variables in innermost frame:
on: 'VGA1'
i: 2
commandline: 'xrandr --output LVDS1 --mode 1024x768 --pos 0x0 --rotate normal --output VGA1 --mode None --pos 0x0 --rotate normal'
args: ['--output', 'LVDS1', '--mode', '1024x768', '--pos', '0x0', '--rotate', 'normal', '--output', 'VGA1', '--mode', 'None', '--pos', '0x0', '--rotate', 'normal']
o: <screenlayout.xrandr.OutputConfiguration object at 0x7f40e122f110>
self: <screenlayout.xrandr.XRandR object at 0x7f40e12256d0>
p: ('--mode', 'None')
parts: [('--mode', 'None'), ('--pos', '0x0'), ('--rotate', 'normal')]
oa: ['--mode', 'None', '--pos', '0x0', '--rotate', 'normal']
os: <Output 'VGA1' (1 modes)>
options: {'LVDS1': ['--mode', '1024x768', '--pos', '0x0', '--rotate', 'normal'], 'VGA1': ['--mode', 'None', '--pos', '0x0', '--rotate', 'normal']}
namedmode: <screenlayout.auxiliary.NamedSize object at 0x7f40e122f150>
Comment 1 Zoltan Hoppar 2013-06-11 12:17:22 EDT
Created attachment 759721 [details]
File: backtrace
Comment 2 Zoltan Hoppar 2013-06-11 12:17:25 EDT
Created attachment 759722 [details]
File: core_backtrace
Comment 3 Zoltan Hoppar 2013-06-11 12:17:28 EDT
Created attachment 759723 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 08:57:46 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 16:46:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Fedora End Of Life 2015-05-29 05:06:54 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:00:18 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.